You are here: start » api_incompatibilities

API Incompatibilities

The CMSimple_XH team is willing to keep compatibility to former version as much as possible. But to improve CMSimple_XH further, sometimes it's necessary to introduce some changes to the API. As this information is important for template designers and plugin developers, we'll gather it here.

editmenu()

CMSimple_XH 1.5 introduced the new admin menu, that's displayed on the top of the browser window. To avoid a duplicate admin menu and to allow a real preview mode, editmenu() now returns an empty string, i.e. it's no problem, if it's called from the template, but it won't put the edit menu in the place, where it is intended by the template designer. For compatibility with former versions, it's recommended to keep the call to editmenu() in the template, however.

For some problems that might occur with the new admin menu, see the CMSimple Forum.

$sl

CMSimple_XH 1.5 introduced the concept of subsites. This feature builds upon the well know and thouroughly tested feature of multi language sites. The drawback: for subsites $sl doesn't hold an ISO-639-1 language code. So plugin authors should neither rely on strlen($sl)==2 nor on $sl being a true ISO 639-1 language code. If your plugin is not able to cater for the new situation, it should be enough to document, that it can't be used with the new subsite feature. Probably only a minority of CMSimple_XH installations will use subsites.

Since CMSimple_XH 1.6 the subsites feature has been removed, and strlen($sl) == 2 is guaranteed again. Usually $sl will hold an ISO 639-1 language code.

Deprecated Functions

Since CMSimple_XH 1.5.4 several functions are deprecated, which will be removed in a future version. So don't use this functions in new plugins and remove them from existing ones in time. The deprecated functions and preferable alternatives:

  • rf() → use file_get_contents()
  • amp() → use '&'
  • guestbooklink() → use a guestbook plugin
  • autogallery() → use a gallery plugin
  • PluginPrepareTextData() → use stsl()
  • PluginDebugger() → use other methods for debugging
 
You are here: start » api_incompatibilities
Except where otherwise noted, content on this wiki is licensed under the following license: GNU Free Documentation License 1.3
Valid XHTML 1.0 Valid CSS Driven by DokuWiki